[Tutor] Any one got any idea

nitin chandra nitinchandra1 at gmail.com
Sun Oct 18 22:28:04 CEST 2009

Hello Everyone,

i am compiling Python 2.6.2 from source and have successfully been
able to cross .... at least that is what i am thinking .....
./configure and make .... but i am facing a peculiar problem in
installing it this time. (This is the second time i am installing on
the same system with as much as similar structure like before ....
this was required as i had to install Tcl / Tk 8.5 + Tix 8.4.3
--with-threads... on FC10 ... which does not have Tcl/Tk 8.5 with
threads enabled in the default install.)

Compiling /opt/python262/lib/python2.6/xmllib.py ...
Compiling /opt/python262/lib/python2.6/xmlrpclib.py ...
Compiling /opt/python262/lib/python2.6/zipfile.py ...
[17894 refs]
make: *** [libinstall] Error 1
[root at mi Python-2.6.2]#

This is enabled in Modules/Setup

# Andrew Kuchling's zlib module.
# This require zlib 1.1.3 (or later).
# See http://www.gzip.org/zlib/
zlib zlibmodule.c -I$(prefix)/include -L$(exec_prefix)/lib -lz

'zipfile.py' also exist in in the source dir .../Python-2.6.2/Lib/



More information about the Tutor mailing list